Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005119OCamlCamlp4public2010-08-03 15:222013-07-07 16:23
Reporterygrek 
Assigned Toxclerc 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target Version4.01.0+devFixed in Version 
Summary0005119: camlp4 raises Not_found exception when DELETE_RULE fails
DescriptionCamlp4 should raise less generic exception. Patch attached. This will of course break various extensions out there (e.g. which use DELETE_RULE to decide which syntax is currently used), but the breakage is easy to fix and will manifest itself clearly.
TagsNo tags attached.
Attached Filesdiff file icon camlp4_not_found.diff [^] (3,430 bytes) 2010-08-03 15:22 [Show Content]

- Relationships
related to 0006062resolvedhongboz UNDEF not working in OCaml 4.01.0 

-  Notes
(0008340)
xclerc (developer)
2012-10-25 14:29

Fixed by revision 13047 in trunk.

- Issue History
Date Modified Username Field Change
2010-08-03 15:22 ygrek New Issue
2010-08-03 15:22 ygrek Status new => assigned
2010-08-03 15:22 ygrek Assigned To => ertai
2010-08-03 15:22 ygrek File Added: camlp4_not_found.diff
2011-10-26 08:40 ertai Assigned To ertai => xclerc
2012-09-06 16:43 doligez Target Version => 4.00.1+dev
2012-09-19 13:48 doligez Target Version 4.00.1+dev => 4.01.0+dev
2012-10-25 14:29 xclerc Note Added: 0008340
2012-10-25 14:29 xclerc Status assigned => resolved
2012-10-25 14:29 xclerc Resolution open => fixed
2013-07-07 16:23 hongboz Relationship added related to 0006062


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker